
TYPO3.Kickstart - Bug # 5833

Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2009-12-22 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Affected Flow version:
Subject: Inflection viewhelper doesn't work anymore
Description

While building models (and also kickstarting other types of classes) the placeholders in the Fluid template are not replaced by their
real value anymore:

/**
 * A {k:inflect.humanizeCamelCase("{modelName}")}
 *
 * @version $Id: $
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @scope prototype
 * @entity
 */
class Paper {

    /**
     * The {k:inflect.humanizeCamelCase("title" lowercase="true")}
     * @var string
     */
    protected $title;

Maybe the view helpers don't work with the current Fluid API anymore?

Associated revisions
Revision d889b1b7 - 2010-01-18 11:42 - Karsten Dambekalns

[+BUGFIX] Kickstart: Fixed viewhelper shorthand syntax usage in model template, fixes #5833.

History
#1 - 2010-01-18 11:43 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Christopher Hlubek to Karsten Dambekalns
- Target version set to 1.0.0 alpha 7

#2 - 2010-01-18 12:02 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3659.
